package com.goldenwater.slaj.hazard.service;

import java.util.List;
import com.goldenwater.slaj.hazard.domain.TBusiControlTerm;

/**
 * 管控条件 服务层
 */
public interface ITBusiControlTermService {

    TBusiControlTerm selectTBusiControlTermByGuid(String guid);

    List<TBusiControlTerm> selectTBusiControlTermList(TBusiControlTerm tBusiControlTerm);

    int insertTBusiControlTerm(TBusiControlTerm tBusiControlTerm);

    int updateTBusiControlTerm(TBusiControlTerm tBusiControlTerm);

    int deleteTBusiControlTermByGuid(String guid);

    int deleteTBusiControlTermByGuids(String[] guids);
}
